uk.gov.hmrc.payeestimator.services

# NICRateCalculator

###
Related Doc: package services

#### case class NICRateCalculator(rate: BigDecimal, amount: Money) extends Calculator with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Calculator, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NICRateCalculator
2. Serializable
3. Serializable
4. Product
5. Equals
6. Calculator
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new NICRateCalculator(rate: BigDecimal, amount: Money)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val amount: Money

5. #### def applyResponse(success: Boolean, rate: Money): NICRateCalculatorResponse

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def calculate(): NICRateCalculatorResponse

   Definition Classes
     NICRateCalculator → Calculator

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def isAnnual(payPeriod: String): Boolean

    Attributes
      protected
    Definition Classes
      Calculator

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### val rate: BigDecimal

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Calculator

### Inherited from AnyRef

### Inherited from Any

### Ungrouped